| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Protected Types | Protected Member Functions | List of all members
ConstPtrManBase< T > Class Template Reference
Basic

`#include <ptrman.h>`

Inherits PtrManBase< T >.

Inherited by ConstArrPtrMan< int >, ConstRefMan< RegularSeisDataPack >, ConstRefMan< Well::Data >, ConstRefMan< Coords::CoordSystem >, ConstRefMan< DataPointSet >, ConstRefMan< VolumeDataPack >, ConstRefMan< EM::Horizon >, ConstRefMan< EM::Horizon3D >, ConstRefMan< Network::HttpRequest >, ConstRefMan< Pick::Set >, ConstRefMan< OffsetReflectivityModel >, ConstRefMan< PreStack::Gather >, ConstRefMan< PreStack::GatherSetDataPack >, ConstRefMan< ReflectivityModelTrace >, ConstRefMan< DataPack >, ConstRefMan< ReflectivityModelSet >, ConstRefMan< Seis::SynthGenDataPack >, ConstRefMan< ZAxisTransform >, ConstRefMan< SeisVolumeDataPack >, ConstRefMan< EM::Horizon2D >, ConstRefMan< SharedObject >, ConstRefMan< visBase::Transformation >, ConstRefMan< visBase::PolygonSelection >, ConstRefMan< mVisTrans >, ConstRefMan< Attrib::Data2DHolder >, ConstRefMan< Survey::Geometry3D >, ConstArrPtrMan< T >, ConstPtrMan< T >, and ConstRefMan< T >.

## Public Member Functions
T * | getNonConstPtr () const
| operator const T * () const
const T & | operator* () const
const T * | operator-> () const
const T * | ptr () const
Public Member Functions inherited from PtrManBase< T >
T * | createIfNull (PointerCreator=createSingleObject< T >)
void | erase ()
| operator bool ()
| operator bool () const
bool | operator! () const
template<class TT >
bool | operator== (const PtrManBase< TT > &) const =delete
T * | release ()
| Returns pointer. I won't take care of it any longer.
T * | set (T *p, bool doerase=true)
| Returns old pointer if not erased.
bool | setIfNull (T *p)
bool | setIfNull (T *p, bool takeover)

## Protected Types
typedef void(* | PtrFunc) (T *)
Protected Types inherited from PtrManBase< T >
typedef void(* | PtrFunc) (T *)

## Protected Member Functions
| ConstPtrManBase (PtrFunc setfunc, PtrFunc deletor, T *p)
Protected Member Functions inherited from PtrManBase< T >
| PtrManBase (PtrFunc setfunc, PtrFunc deletor, T *)
virtual | ~PtrManBase ()

## Additional Inherited Members
Public Types inherited from PtrManBase< T >
typedef T *(* | PointerCreator) ()
Protected Attributes inherited from PtrManBase< T >
PtrFunc | deletefunc_
Threads::AtomicPointer< T > | ptr_
PtrFunc | setfunc_

## Detailed Description

template<class T>
class ConstPtrManBase< T >

<>

## Member Typedef Documentation

## ◆ PtrFunc

template<class T >

typedef void(* ConstPtrManBase< T >::PtrFunc) (T *)
| protected

## Constructor & Destructor Documentation

## ◆ ConstPtrManBase()

template<class T >

ConstPtrManBase< T >::ConstPtrManBase | ( | PtrFunc | setfunc,
|  | PtrFunc | deletor,
|  | T * | p )
| inline protected

## Member Function Documentation

## ◆ getNonConstPtr()

template<class T >

T * ConstPtrManBase< T >::getNonConstPtr | ( |  | ) | const
| inline

## ◆ operator const T *()

template<class T >

ConstPtrManBase< T >::operator const T * | ( |  | ) | const
| inline

## ◆ operator*()

template<class T >

const T & ConstPtrManBase< T >::operator* | ( |  | ) | const
| inline

## ◆ operator->()

template<class T >

const T * ConstPtrManBase< T >::operator-> | ( |  | ) | const
| inline

## ◆ ptr()

template<class T >

const T * ConstPtrManBase< T >::ptr | ( |  | ) | const
| inline

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025